﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using System.Collections;

namespace BindingIssue.UserControls
{
    /// <summary>
    /// Interaction logic for XamNumericControl.xaml
    /// </summary>
    public partial class XamMultiCombo : UserControl
    {
        public XamMultiCombo()
        {
            InitializeComponent();
        }

        public IEnumerable FieldItemsSource
        {
            get { return (IEnumerable)GetValue(FieldItemsSourceProperty); }
            set { SetValue(FieldItemsSourceProperty, value); }
        }

        public static readonly DependencyProperty FieldItemsSourceProperty =
            DependencyProperty.Register("FieldItemsSource", typeof(IEnumerable), typeof(XamMultiCombo),
            new FrameworkPropertyMetadata(null));

        public object FieldSelectedItem
        {
            get { return (object)GetValue(FieldSelectedItemProperty); }
            set { SetValue(FieldSelectedItemProperty, value); }
        }

        public static readonly DependencyProperty FieldSelectedItemProperty =
            DependencyProperty.Register("FieldSelectedItem", typeof(object), typeof(XamMultiCombo),
            new FrameworkPropertyMetadata(null));

        public string DisplayMemberPath
        {
            get { return (string)GetValue(DisplayMemberPathProperty); }
            set { SetValue(DisplayMemberPathProperty, value); }
        }

        public static readonly DependencyProperty DisplayMemberPathProperty =
            DependencyProperty.Register("DisplayMemberPath", typeof(string), typeof(XamMultiCombo),
            new FrameworkPropertyMetadata(null));
    }
}
